Bug 497414 - add 'success' value to sched_wakeup and sched_wakeup_new tracepoints
add 'success' value to sched_wakeup and sched_wakeup_new tracepoints
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity medium
: rc
: ---
Assigned To: Jason Baron
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 15:57 EDT by Jason Baron
Modified: 2013-03-06 01:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:25:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add 'success' to sched_wakeup and sched_wakeup_new tracepoints (1.37 KB, patch)
2009-04-23 15:58 EDT, Jason Baron
no flags Details | Diff

  None (edit)
Description Jason Baron 2009-04-23 15:57:11 EDT
Description of problem:

currently we don't know if a scheduler wakeup is successfull, or
not via the tracepoints.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Baron 2009-04-23 15:58:34 EDT
Created attachment 341001 [details]
patch to add 'success' to sched_wakeup and sched_wakeup_new tracepoints
Comment 3 RHEL Product and Program Management 2009-04-27 16:28:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2009-05-06 13:18:20 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 errata-xmlrpc 2009-09-02 04:25:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.